# Get Vote by Id

With this API you can retrieve a particular vote by it's Id

## Get Vote by Id

<mark style="color:blue;">`GET`</mark> `https://api.pollsapi.com/v1/get/vote/{vote_id}`

This endpoint allows you to fetch your vote by ID

#### Path Parameters

| Name     | Type   | Description             |
| -------- | ------ | ----------------------- |
| vote\_id | string | ID of the Poll to fetch |

#### Headers

| Name    | Type   | Description              |
| ------- | ------ | ------------------------ |
| api-key | string | API KEY for your account |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```javascript
{
  "status": "success",
  "statusCode": 200,
  "data": {
    "identifier": "user_12",
    "poll_id": "5f9f7b186477891e5bc646a1",
    "option_id": "5f9f7b186477891e5bc646a2",
    "created_at": "2020-11-02T06:24:24.760Z",
    "updated_at": "2020-11-02T06:24:24.760Z",
    "id": "5f9fa6186477891e5bc646a5",
    "entity": "Vote"
  }
}
```

{% endtab %}

{% tab title="404 " %}

```javascript
{ 
    "status": "error", 
    "statusCode": 404, 
    "message": "Vote not found" 
}

```

{% endtab %}
{% endtabs %}

### Example cURL Request

```bash
curl https://api.pollsapi.com/v1/get/vote/5f9fa6186477891e5bc646a5 \
  -H "content-type: application/json" \
  -H "api-key: $API_KEY"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pollsapi.com/api/get-vote-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
